cmake_minimum_required(VERSION 3.15)
project(gamedev_learning)

set(CMAKE_CXX_STANDARD 20)

add_subdirectory(1_hello_world)
add_subdirectory(2_sdl_dynamic)
add_subdirectory(2_sdl_static)
add_subdirectory(3_engine)
add_subdirectory(4_render)
add_subdirectory(5_opengl_minimal)
add_subdirectory(5_opengl_triangles)
add_subdirectory(5_opengl_renderdoc)
add_subdirectory(6_opengl_grid)
add_subdirectory(6_opengl_grid_runtime)
add_subdirectory(7_opengl_morphing)
add_subdirectory(7_opengl_texture)
add_subdirectory(8_engine_general)
add_subdirectory(9_model_moving)